{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.eSet(ILjava/lang/Object;)V",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectWithInverseResolvingEList$ManyInverse.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.toString()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setType(Lorg/eclipse/uml2/uml/Type;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setLowerValue(Lorg/eclipse/uml2/uml/ValueSpecification;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eInternalResource()Lorg/eclipse/emf/ecore/resource/Resource$Internal;": 1,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setIsUnique(Z)V": 1,
    "Lorg/eclipse/emf/ecore/InternalEObject.eInverseAdd(Lorg/eclipse/emf/ecore/InternalEObject;ILjava/lang/Class;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/FeatureImpl.setIsStatic(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setName(Ljava/lang/String;)V": 1,
    "Lorg/eclipse/emf/ecore/util/InternalEList.basicAdd(Ljava/lang/Object;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/emf/ecore/util/EcoreUtil.isAncestor(Lorg/eclipse/emf/ecore/EObject;Lorg/eclipse/emf/ecore/EObject;)Z": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setDefault(Lorg/eclipse/uml2/uml/Property;Ljava/lang/String;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setNameExpression(Lorg/eclipse/uml2/uml/StringExpression;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eIsProxy()Z": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setIsComposite(Lorg/eclipse/uml2/uml/Property;Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setIsOrdered(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setOpposite(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/uml2/uml/Property;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eBasicRemoveFromContainer(Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setUpper(I)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicSet(ILjava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setLower(I)V": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IIZZ)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.setIsLeaf(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setVisibility(Lorg/eclipse/uml2/uml/VisibilityKind;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eBasicSetContainer(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setUpperValue(Lorg/eclipse/uml2/uml/ValueSpecification;)V": 1
  }
}